Bug Hunting Session
Bug 95656 - FORMATTING: Orientation of Bopomofo tonal marks is incorrect in vertical layout
Summary: FORMATTING: Orientation of Bopomofo tonal marks is incorrect in vertical layout
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
: 95657 (view as bug list)
Depends on:
Blocks: CJK Vertical-Text
  Show dependency treegraph
 
Reported: 2015-11-07 15:39 UTC by Mark Hung
Modified: 2017-11-22 11:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (11.22 KB, application/vnd.oasis.opendocument.text)
2015-11-07 15:39 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2015-11-07 15:39:17 UTC
Created attachment 120365 [details]
Sample document

Bopomofo symbols are used as phonetic guide in Taiwan. There are four tonal marks( ˊˇˋ˙ ,correspond to unicode 2ca,2c7,2cb,2d9 respectively ). In the sample document, text in the second column of the table are set to vertical mode, and the tonal marks rotated unexpectedly.
Comment 1 Julien Nabet 2015-11-07 16:24:29 UTC
*** Bug 95657 has been marked as a duplicate of this bug. ***
Comment 2 A (Andy) 2015-11-07 18:42:03 UTC
Reproducible with LO 5.0.3.2, Win 8.1

Note to reproduce: Select the text and go to TABLE -> TABLE PROPERTIES -> tab TEXT FLOW -> Text Orientation = vertical or horizontal
Comment 3 QA Administrators 2016-11-08 12:08:45 UTC Comment hidden (obsolete)
Comment 4 V Stuart Foote 2017-03-20 00:40:17 UTC
Currently the rotation applied to the Zhuyin Fuhao (注音符號) for all glyphs in vertical format follows the metrics for the font. But to support Zhuyin the four tonal marks-- 0x02ca, 0x02c7, 0x02cb, 0x02d9--need to be rotated the opposite direction from the other glyphs--so guess that means that absent a VERT table entry for the font(s) LibreOffice would have to handle.

@Mark, Khaled -- is that something we can achieve per locale, similar to with bug 106295?
Comment 5 Mark Hung 2017-04-02 01:44:37 UTC
@V Stuart Foote - yes, that is technically feasible. However, I need further investigate to see if they are expected to be rotated occasionally.
Comment 6 Volga 2017-07-25 16:01:43 UTC
Maybe you can try to use several combining diacritical marks as tonal marks, if you do so, what happened in vertical layout?
Comment 7 Mark Hung 2017-07-25 23:47:18 UTC
@Volga,

VO property of Combining Diacritical Marks is still R. On the other hand, 0x02ca, 0x02c7, 0x02cb, 0x02d9 are the characters that I get directly from Microsoft IME. I think they are used for quite long time.
Comment 8 Xisco Faulí 2017-10-01 23:12:21 UTC
Commit in gerrit: https://gerrit.libreoffice.org/#/c/43001/
Comment 9 Commit Notification 2017-10-03 23:45:17 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b087e451527f2e497ccab83b63b4f10099bfb8b8

tdf#95656 fix orientation for Bopomofo tonal marks

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Volga 2017-10-11 07:09:21 UTC
Link to HarfBuzz bug tracker:
https://github.com/behdad/harfbuzz/issues/532
Comment 11 Xisco Faulí 2017-11-12 11:00:44 UTC
A polite ping to Mark Hung: is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Thanks
Comment 12 Commit Notification 2017-11-20 12:26:40 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51b9042efea0984da96318812124836e292271d7

tdf#95656 vcl: correct offset for vkrn position

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.